Bug 2175953 - which no longer shwos shell-aliases
Summary: which no longer shwos shell-aliases
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: which
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-03-06 22:37 UTC by Harald Reindl
Modified: 2023-03-18 00:17 UTC (History)
1 user (show)

Fixed In Version: which-2.21-39.fc37 which-2.21-39.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-11 04:25:24 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Harald Reindl 2023-03-06 22:37:03 UTC
this is an unacceptable regression when you saw for years that there *is* an alias and what it is

which-2.21-32.fc36.x86_64
which-2.21-35.fc37.x86_64

Fedora 36:
[root@buildserver:~]$ cat /usr/local/etc/bash_profile | grep updatedb
[root@buildserver:~]$ which route
alias route='/usr/sbin/route -n'
        /usr/sbin/route
        
Fedora 37:        
[root@srv-rhsoft:~]$ which route
/usr/sbin/route

Comment 1 Than Ngo 2023-03-08 11:47:17 UTC
it is fixed in 2.21-39.fc37

Comment 2 Fedora Update System 2023-03-08 11:51:15 UTC
FEDORA-2023-c505da2e48 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c505da2e48

Comment 3 Fedora Update System 2023-03-08 11:51:16 UTC
FEDORA-2023-77f77db2cc has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-77f77db2cc

Comment 4 Fedora Update System 2023-03-09 01:15:31 UTC
FEDORA-2023-77f77db2cc has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-77f77db2cc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-77f77db2cc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-03-09 01:29:44 UTC
FEDORA-2023-c505da2e48 has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c505da2e48

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-03-11 04:25:24 UTC
FEDORA-2023-77f77db2cc has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-03-18 00:17:48 UTC
FEDORA-2023-c505da2e48 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.